import * as React from 'react';
import type { Meta } from '@storybook/react';
import { LinkButton, LinkButtonProps } from '.';
import { Button } from '@tesseract-design/web-base';

const meta: Meta<typeof LinkButton> = {
	component: LinkButton,
	argTypes: {
		type: {
			control: { type: 'select' },
			options: Button.AVAILABLE_TYPES,
		},
		variant: {
			control: { type: 'select' },
			options: Button.AVAILABLE_VARIANTS,
		},
		size: {
			control: { type: 'select' },
			options: Button.AVAILABLE_SIZES,
		},
		onClick: {
			table: {
				disable: true,
			},
			action: 'clicked',
		},
	},
	args: LinkButton.defaultProps ?? {},
};

export const Story = (args: Omit<LinkButtonProps, 'ref'>) => (
	<LinkButton
		{...args}
	>
		Button
	</LinkButton>
);

export default meta;
